package com.yeejoin.amos.boot.module.statistics.api.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface PlanTaskMapper extends BaseMapper {


	Page<HashMap<String, Object>> getPlanTaskInfo(@Param("page") Page<Map<String, Object>> page, @Param("map") JSONObject map);

	String getUnitTypeByUseUnitCode(@Param("useUnitCode") String useUnitCode);

	List<Map<String, String>> getUserInfo(@Param("useUnitCode") String useUnitCode, @Param("flag") boolean flag);

	List<Map<String, Object>> getPlanCheckByPlanTaskId(@Param("planTaskId") String planTaskId);

	Page<Map<String, Object>> getPersonPage(@Param("page") Page page, @Param("map") JSONObject map);

	List<Map<String, Object>> getPostList();

    List<Map<String, String>> getUserByUserName(@Param("userIds") List<String> userIds);
}
